Plugin Directory

Subiz Live Chat

Install Subiz live chat plugin and provide instant support for visitors to your website!

Do I have to install any software on my server to get this working?

Not at all! Subiz is a hosted live chat service. Simply configure the plugin and you're done!

Which web browsers work best with this plugin?

Though designed to work on most browsers, Subiz works best in the following environment: IE 6 or later, Firefox 2 or later, Safari 2 or later, Google Chrome.

Is it free to use?

The plugin comes with a free plan. Otherwise, you choose a Standard or Advanced package to enjoy more powerful features

How can I upgrade my account?

Follow the instruction to create Subscription: How to create subscription

How can I invite visitors to chat?

There are 2 ways:

  • Manually: You can click to each visitor displayed on list to chat with them
  • Automatically: If you are in premium user, you can use Trigger as a tool to invite visitors to chat proactively.

How can I customize live chat widget?

Go to Dashboard >> Settings >> Chat widget >> Theme

  • Color: On the right hand-side, you can choose the 5 given colors or customize which color you like.
  • Widget position: You can choose the widget's position on the left or right.
  • Logo: In the third part on the right, click to upload logo image (image size must not exceed 50Kb)
  • Language: You can switch language on chat widget into a certain language (English, Portuguese, Vietnamese,...) or choose Auto Detect mode

How can I know when my visitors send messages?

There 3 types of notification for you to alert when you have incoming messages from visitors

  • Sound
  • Notify number
  • Desktop Notification

Is there any further support to help me utilise Subiz effectively?

You may face with many difficulties installing and using Subiz. Don't worry! You can find a ton of useful tips regarding live chat & customer service on Subiz Blog. Otherwise, just chat with our support heroes at subiz.com or leave us an email at support@subiz.com.

Requires: 2.8 or higher
Compatible up to: 4.3.6
Last Updated: 11 months ago
Active Installs: 1,000+


4.2 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.